#!/bin/sh
#Ejbdeploy.sh for unix

if [ "$ITP_LOC" = "" ] ; then
. setupCmdLine.sh
fi

# Spit out minor error about itp loc not being set.
if [ "$ITP_LOC" = "" ] ; then
    echo "need to set ITP_LOC"
fi

# Enable quickstart when possible
# PLATFORM=`/bin/uname`
# case $PLATFORM in
#   SunOS | HP-UX)
#     QUICKSTART=;;
#   *)
#     QUICKSTART=-Xquickstart;;
# esac

# Set the classpath needed for the deploytool
ejbd_cp=$ITP_LOC/batch.jar:$ITP_LOC/batch_nl1.jar

# set options for ejb deploy....
ejbdopts="$@"
export itp_cp ejbd_cp ejbdopts QUICKSTART

$JAVA_HOME/jre/bin/java \
    -Xms64m -Xmx256m \
    -Dws.ext.dirs=$WAS_EXT_DIRS \
    -Dwebsphere.lib.dir=$WAS_HOME/lib \
    -cp $ejbd_cp \
    com.ibm.etools.ejbdeploy.EJBDeploy "$@"
